
Core - Task # 25334

Status: Closed Priority: Should have
Author: Xavier Perseguers Category:
Created: 2011-03-16 Assigned To:
Updated: 2013-06-01 Due date:
TYPO3 Version: 4.5
PHP Version:
Complexity:
Sprint Focus:
Subject: Remove global declarations inside methods
Description

We still find many global declarations such as

global $TCA
global $BE_USER
etc.

inside Core. This should be changed to $GLOBALS['TCA'], $GLOBALS['BE_USER'] according to our CGL.

(issue imported from #M17961)

Related issues:
related to Core - Bug # 26515: TCA definition is not available in upgrade wiz... Closed 2011-04-29
related to Core - Task # 24954: The Big Cleanup 4.6 Closed 2011-04-25
related to Advanced Frontend Editing - Bug # 33709: "New page" broken (cannot... Accepted 2012-02-06

Associated revisions
Revision 3f159c3a - 2011-04-17 14:55 - Xavier Perseguers

[TASK] Remove global declarations inside methods

Global declaration such as global $TCA or global $BE_USER should
be changed to $GLOBALS['TCA'], $GLOBALS['BE_USER'], ...

Change-Id: I68f801ff6934a7e16db78cb3f10d1c2b64aef351
Fixes: #25334
Reviewed-on: http://review.typo3.org/1446
Reviewed-by: Steffen Gebert
Tested-by: Steffen Gebert
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog
Tested-by: Christian Kuhn
Reviewed-by: Christian Kuhn

History
#1 - 2011-03-29 15:31 - Ernesto Baschny
- Tracker changed from Bug to Task
- PHP Version deleted (5.2)
#2 - 2011-04-02 20:13 - Xavier Perseguers
- Status changed from New to Accepted

#3 - 2011-04-02 21:42 - Mr. Hudson

Patch set 1 of change I68f801ff6934a7e16db78cb3f10d1c2b64aef351 has been pushed to the review server.
It is available at http://review.typo3.org/1446

#4 - 2011-04-06 18:00 - Mr. Hudson

Patch set 2 of change I68f801ff6934a7e16db78cb3f10d1c2b64aef351 has been pushed to the review server.
It is available at http://review.typo3.org/1446

#5 - 2011-04-13 00:33 - Mr. Hudson

Patch set 3 of change I68f801ff6934a7e16db78cb3f10d1c2b64aef351 has been pushed to the review server.
It is available at http://review.typo3.org/1446

#6 - 2011-04-13 22:05 - Mr. Hudson

Patch set 4 of change I68f801ff6934a7e16db78cb3f10d1c2b64aef351 has been pushed to the review server.
It is available at http://review.typo3.org/1446

#7 - 2011-04-14 10:58 - Mr. Hudson

Patch set 5 of change I68f801ff6934a7e16db78cb3f10d1c2b64aef351 has been pushed to the review server.
It is available at http://review.typo3.org/1446

#8 - 2011-04-16 21:36 - Mr. Hudson

Patch set 6 of change I68f801ff6934a7e16db78cb3f10d1c2b64aef351 has been pushed to the review server.
It is available at http://review.typo3.org/1446

#9 - 2011-04-17 15:00 - Xavier Perseguers
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3f159c3a690db3b9ebb7d279523f4809cd9cf28d.

#10 - 2012-03-07 13:31 - Xavier Perseguers
- Status changed from Resolved to Closed

#11 - 2013-06-01 14:43 - Ernesto Baschny
- Target version deleted (1081)
